##### <font color = "#1D8571">Основные</font>
- **Тони Гэддис, «Начинаем программировать на Python», 5-е издание.** Эту книгу можно рекомендовать как первую книгу по программированию для полных новичков, хотя и умеющим программировать это тоже будет полезно, знакомые части просто пролистаете быстрее.
    
- **Билл Любанович, «Простой Python», 2-е издание**. Я по этой книге (первого еще издания, правда) изучал Python. Эта книга хорошо подойдет тем, кто либо уже прочел Гэддиса, либо уверенно программирует на других языках.
    
- **Мэттью Фаулер, «Asyncio и конкурентное программирование на Python»**. Примерно единственная и лучшая книга по асинхронной разработке в Python. Must have. Покупать и прорабатывать.
    
- Мой скромный труд «[Типизированный Python](https://to.digital/typed-python/)»
    
- **Лусиану Рамальо, «Python К вершинам мастерства», 2 издание.** Лучшая книга по углубленному изучению Python. Чтобы овладеть Python на хорошем уровне, вам необходима эта книга.
    
- **Макконнелл Стив, «Совершенный код»**. Фундаментальная большая настольная книга о том, как писать качественный код.
    
- **Роберт Мартин, «Чистый код»**. Это уже классика, с которой надо быть знакомым всем разработчикам вне зависимости от используемого языка программирования. Примеры на Java, но это не должно вас пугать. В Telegram скину небольшое вводное видео по Java для тех, кто пишет на Python
    
- **Роберт Мартин, «Чистая архитектура»**. Возможно, лучшая книга в качестве первой по вопросам архитектуры ПО. Не идеальна, но в дополнение с материалом курса — нормально:)
    
- **Гарри Персиваль, Бор Грегори, «Паттерны разработки на Python: TDD, DDD и событийно-ориентированная архитектура»**. А это замечательное продолжение Чистой архитектуры с кодом на Python
    
- **Адитья Бхаргава, «Грокаем алгоритмы»**. Простейшее введение в тему алгоритмов и структур данных с примерами на Python. Понятие сложности алгоритма, принципы работы разных структур данных и как правильно выбирать структуру под задачу и тп — обязательно к прочтению, и для реальной работы, и для собеседований.
    
- [**MDN**](https://developer.mozilla.org/ru/) — HTML, CSS, JS документация
    
- [**javascript.ru**](https://javascript.ru) — учебник JS

##### <font color = "#1D8571">Факультатив</font>
- **Рогов Е. В. , «PostgreSQL 15 изнутри»**. [Ссылка](https://postgrespro.ru/education/books/internals). Книга о том, как работает СУБД PostgreSQL, наиболее востребованная сейчас в веб-разработке
    
- **Brett Slatkin, «Effective Python: 90 Specific Ways to Write Better Python», 2nd Edition**. Отличная книга с лайфхаками и советами касательно того, как писать Pythonic-код. Английский простой и не должен вас смущать. Просто берите и читайте, поначалу со словарём возможно. [Моё видео про английский для программиста](https://www.youtube.com/watch?v=QO2EkfxKdAE).
    
- **Чарльз Петцольд, «Код»**. Отличная книга о том, как развивалась техника от телеграфа до современного компьютера, книга может рассматриваться не только как увлекательное чтиво, но и полезный материал, который помогает понять принципы работы процессора.
    
- **Ганди Раджу, «Head First. Git»**. В дополнение к главе о Git в курсе. Книги Head First это картинки, схемы, простой язык и шутеечки. Кому-то нравится, кому-то нет. Полистайте, сложите своё мнение.
    
- **Алекс Сюй, «System Design»**. Подготовка к сложному интервью» — неплохая книга о системном дизайне, вопросы об этом иногда всплывают на собеседованиях. Книга показывает, как можно проектировать большие системы — по нагрузке, по количеству данных — и исходя из чего принимаются те или иные решения в таких системах.
    
- **Уильям Шоттс, «Командная строка Linux. Полное руководство», 2 издание**. Неплохой вводный материал о работе с командной строкой в Linux. Если материала курса вам будет недостаточно, можете также обратиться к этой книге.
    
- **Дмитрий Колисниченко, «Командная строка Linux»**. Тоненькая книга с командами и приёмами работы с Linux
    
- **Скотт Граннеман, «Linux. Необходимый код и команды»**. Тоже неплохой материал по работе с Linux.
    
- [**Debian Handbook**](https://debian-handbook.info/get/). Годная документация по операционной системе Debian.
    
- **Дэн Макин, Бэн Уэйл и др., «Unix и Linux: руководство системного администратора», 4 издание**. Название говорит за себя, как и номер издания.
    
- **Альтхофф Кори, «Computer Science для программиста-самоучки. Все что нужно знать о структурах данных и алгоритмах»**. Из названия понятно, о чём речь, после «Грокаем алгоритмы» можно почитать и это.
    
- **Луридас Панос, «Алгоритмы для начинающих. Теория и практика для разработчика»**. Продолжаем тему алгоритмов
    
- **Томас Кормен, «Алгоритмы: построение и анализ», 3-е издание**. Классика темы алгоритмов. Готовы к особому хардкору — вам сюда.
    
- **Эндрю Таненбаум, «Современные операционные системы», 4 издание**. Книгу изучают студенты технических ВУЗов ИТ-специальностей. Если вам интересны темы работы ОС, вы хотите заниматься низкоуровневым программирование или просто интересуетесь тем, как всё работает — материал для вас.
    
- **Эндрю Таненбаум, «Архитектура компьютера», 6 издание**. Аналогично, увлекательный подробный материал по компьютерному железу.
    
- **Эндрю Таненбаум, «Компьютерные сети». 6-е изд**. Для тех, кто хочет прокачаться в вопросе работы сетей.
    
- **Виктор Олифер и Наталия Олифер, «Компьютерные сети. Принципы, технологии, протоколы»**. В какой-то мере аналог предыдущей книги. Кому-то больше нравится Таненбаум, кому-то — Олиферы.
    
- [**RFC 2616**](https://www.rfc-editor.org/rfc/rfc2616). Спецификация HTTP/1.1.
    
- **Поллард Б, «HTTP/2 в действии»**. Книга описывает нововведения и особенности второй версии протокола HTTP.
    
- **Зонке Аренс, «Как делать полезные заметки»**. Упоминалась здесь в первой главе курса, о том, как делать заметки в процессе качественной проработки материала. Главную суть я уже отразил в видео, но если захочется познакомиться с идеями поближе — welcome. Для задач курса достаточно того, что я рассказал здесь.
    
- **Уолтер Айзексон, «Инноваторы»**. История развития вычислительных устройств и всего того, чем мы сейчас, не задумываясь, пользуемся. В конкретных лицах, проектах, исторических фактах. Очень интересный материал, есть также в аудио-формате. Программировать лучше после этой книги вы не станете, но если вам интересны технологии — рекомендую!
#### <font color = "MediumSeaGreen">Интересное</font>
- Зеленый король
- Угрюм-река
- Могила Таме-Тунга К. Нефедьев
- Штурман дальнего плавания Д. Лухманов
- Искажающая реальность. Атаманов.
- Задача трех тел. Китайская фантастика.
- n-коды. Про манипуляции.


#### <font color = "MediumSeaGreen">IT</font>
- Настройка WSL и окружения Windows https://github.com/alexey-goloburdin/knowledge-base/blob/main/%D0%A1%D1%86%D0%B5%D0%BD%D0%B0%D1%80%D0%B8%D0%B9.%20%D0%9F%D0%BE%D0%BB%D0%BD%D0%B0%D1%8F%20%D0%BD%D0%B0%D1%81%D1%82%D1%80%D0%BE%D0%B9%D0%BA%D0%B0%20Windows%2C%20WSL%20%D0%B8%20%D0%B8%D0%BD%D1%81%D1%82%D1%80%D1%83%D0%BC%D0%B5%D0%BD%D1%82%D0%BE%D0%B2%20%D0%B4%D0%BB%D1%8F%20%D1%80%D0%B0%D0%B7%D1%80%D0%B0%D0%B1%D0%BE%D1%82%D1%87%D0%B8%D0%BA%D0%B0.md
- Git Алексея https://github.com/alexey-goloburdin
- 
